Hi Felix,

Actually, it would be better if we don't change the version number on this project.
It is used and bundled in the Apache DS plugin, and the version is hardcoded in the coded of the plugin (sorry but it was needed and I had no other solution)...

Is there another way than going to SNAPSHOT ?

BTW, Felix, I have another Maven question. I added the new Apache DS feature to the build and it includes 4 new projects. When I try to build it using "mvn clean install", I got an error telling me I don't have enough memory. I need to use this command "MAVEN_OPTS="-Xmx256m" mvn clean install" to build the projects correctly.
Is there any way this could be corrected (or added the build) ?

Thanks,
Pierre-Arnaud


On Wed, Jun 11, 2008 at 2:40 PM, Felix Knecht <felix@otego.com> wrote:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Pierre-Arnaud


In the sutdio/turnk/pom.xml we do have a studio artifact having a non snapshot version (see diff below). This makes it
for continuum impossible to deploy the artifact, because of suffering karma.
Snapshot artifact version are deployed to vm094.oxylos.org - what works well - whereas non snapshot artifacts are tried
to be deployed somewhere at apache.org - where continuum doesn't has access.

Can we change the apacheds.launcher.version to snapshot like all the others are?

Regards
Felix


felix@pcfelix ~/svn/apache/directory/studio/trunk $ svn diff pom.xml
Index: pom.xml
===================================================================
- --- pom.xml     (revision 666641)
+++ pom.xml     (working copy)
@@ -62,7 +62,7 @@
~   <properties>
~     <!-- Set versions for subprojects -->
~     <aciitemeditor.version>1.2.0.SNAPSHOT</aciitemeditor.version>
- -    <apacheds.launcher.version>1.2.0</apacheds.launcher.version>
+    <apacheds.launcher.version>1.2.0.SNAPSHOT</apacheds.launcher.version>
~     <apacheds.version>1.2.0.SNAPSHOT</apacheds.version>
~     <apacheds.help.version>1.2.0.SNAPSHOT</apacheds.help.version>
~     <apacheds.feature.version>1.2.0.SNAPSHOT</apacheds.feature.version>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkhPx7MACgkQ2lZVCB08qHFVMgCg8NRWznBI3JAbYPCRJNV24Qic
BywAoLsMwEKzA7l7oABd9SJIU1T9dBLk
=FMRE
-----END PGP SIGNATURE-----